using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.SC
{
    [Description("文件库")]
    public class T_SC_DOCUMENT_LIBRARY_DETAIL : MesEntityBase
    {
        [Description("文件库")]
        [DataFieldForeignKey("Nav_Library", "Nav_Details")]
        public Guid DOCUMENT_LIBRARY_ID { get; set; }

        [Description("导航属性：文件库")]
        public T_SC_DOCUMENT_LIBRARY Nav_Library { get; set; }
        [Description("文件名称")]
        [FormFieldEdit]
        public string NAME { get; set; }

        [Description("对应表单ID")]
        public Guid? DATA_ID { get; set; }
        [Description("版本号")]
        [FormFieldEdit]
        public decimal? VERSION { get; set; }
        [Description("年份")]
        [FormFieldEdit]
        public string YEAR { get; set; }
        
        [Description("编制时间")]
        [FormFieldEdit]
        public DateTime? COMPILE_TIME { get; set; }
        [Description("颁布时间")]
        [FormFieldEdit]
        public DateTime? PUBLISH_TIME { get; set; }

        [Description("上传人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("上传人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("文件附件")]
        public ICollection<T_SC_DOCUMENT_LIBRARY_DETAIL_FILE> Nav_Files { get; set; }

        [Description("文件状态")]
        [EnumName("SCStandardSystemEnums")]
        [FormFieldEdit]
        public SCStandardSystemEnums STATUS { get; set; }
    }
}
